> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/eth-staking/get-apy-history/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get APY history GET https://www.okx.com/api/v5/finance/staking-defi/eth/apy-history Retrieve the historical annualized staking rate (APY) of the ETH staking product for the requested number of days. Reference: https://okx-demo.ferndocs.com/api/api-reference/eth-staking/get-apy-history ## Request ### Query parameters - `days` (string, required) — Number of days of APY history to return. Maximum is 365. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5FinanceStakingDefiEthApyHistoryGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5FinanceStakingDefiEthApyHistoryGetResponsesContentApplicationJsonSchemaDataItems - `rate` (string, optional) — Annualized staking rate (APY) for the day, e.g. 0.0304 for 3.04%. - `ts` (string, optional) — Data time, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "rate": "0.02690000", "ts": "1734195600000" }, { "rate": "0.02840000", "ts": "1734109200000" } ] } ``` **SDK Code** ```python ethStaking_getApyHistory_example import requests url = "https://www.okx.com/api/v5/finance/staking-defi/eth/apy-history" querystring = {"days":"30"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript ethStaking_getApyHistory_example const url = 'https://www.okx.com/api/v5/finance/staking-defi/eth/apy-history?days=30'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go ethStaking_getApyHistory_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/finance/staking-defi/eth/apy-history?days=30" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby ethStaking_getApyHistory_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/finance/staking-defi/eth/apy-history?days=30") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java ethStaking_getApyHistory_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/finance/staking-defi/eth/apy-history?days=30") .asString(); ``` ```php ethStaking_getApyHistory_example request('GET', 'https://www.okx.com/api/v5/finance/staking-defi/eth/apy-history?days=30'); echo $response->getBody(); ``` ```csharp ethStaking_getApyHistory_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/finance/staking-defi/eth/apy-history?days=30"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift ethStaking_getApyHistory_example import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/finance/staking-defi/eth/apy-history?days=30")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```